Package com.mckoi.database

## Interface VariableResolver

    public interface VariableResolver

An interface to resolve a variable name to a constant object. This is used as a way to resolve a variable into a value to use in an expression.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`TObject` `resolve​(Variable variable)` Returns the value of a given variable.
`TType` `returnTType​(Variable variable)` Returns the TType of object the given variable is.
`int` `setID()` A number that uniquely identifies the current state of the variable resolver.

### Method Detail

#### setID

    int setID()

A number that uniquely identifies the current state of the variable resolver. This typically returns the row_index of the table we are resolving variables on.

#### resolve

    TObject resolve​(Variable variable)

Returns the value of a given variable.

#### returnTType

    TType returnTType​(Variable variable)

Returns the TType of object the given variable is.